Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## semorg.gui.util
Class ConfigureListWidget.TableColumnPropertyContentProvider

    java.lang.Object
      semorg.gui.util.ConfigureListWidget.TableColumnPropertyContentProvider

All Implemented Interfaces:
  org.eclipse.jface.viewers.IContentProvider, org.eclipse.jface.viewers.IStructuredContentProvider

Enclosing class:
  ConfigureListWidget

     class ConfigureListWidget.TableColumnPropertyContentProvider

extends Object
implements org.eclipse.jface.viewers.IStructuredContentProvider

This class provides the content of the columns lists, i.e. column names, their alignment and the width.

Field Summary
`private Vector<TableColumnProperty>` | `input` The input
`private org.eclipse.jface.viewers.ListViewer` | `listViewer`

Constructor Summary
`ConfigureListWidget.TableColumnPropertyContentProvider()`

Method Summary
`void` | `addAllColumns(Vector<TableColumnProperty> columns)` Adds all `TableColumnProperty` instance in the given vector to the input of this content provider.
`void` | `addColumn(TableColumnProperty column)` Adds column to the input of this content provider.
`void` | `dispose()`
`Object[]` | `getElements(Object arg0)` Returns the `input` as an array of objects.
`Vector<TableColumnProperty>` | `getInput()`
`void` | `inputChanged(org.eclipse.jface.viewers.Viewer viewer, Object oldInput, Object newInput)` Sets the list viewer `listViewer` and its content `input` to the given values.
`void` | `moveDown(TableColumnProperty selectedColumn)` Moves the given column down by one position in the `input` of this content provider, i.e. the index gets incremented by one.
`void` | `moveUp(TableColumnProperty selectedColumn)` Moves the given column up by one position in the `input` of this content provider, i.e. the index gets decremented by one.
`void` | `removeAllColumns(Vector<TableColumnProperty> columns)` Removes all `TableColumnProperty` instances in the given vector from the input of this content provider.
`void` | `removeColumn(TableColumnProperty column)` Removes a column from the input of this content provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listViewer

    private org.eclipse.jface.viewers.ListViewer listViewer

### input

    private Vector<TableColumnProperty> input

  The input

Constructor Detail

### ConfigureListWidget.TableColumnPropertyContentProvider

    ConfigureListWidget.TableColumnPropertyContentProvider()

Method Detail

### inputChanged

    public void inputChanged(org.eclipse.jface.viewers.Viewer viewer,
                             Object oldInput,
                             Object newInput)

  Sets the list viewer `listViewer` and its content `input` to the given values.

  Specified by:
    `inputChanged` in interface `org.eclipse.jface.viewers.IContentProvider`
  Parameters:
    `viewer` - the new viewer of this `ConfigureListWidget.TableColumnPropertyContentProvider`
    `newInput` - the new input of this `ConfigureListWidget.TableColumnPropertyContentProvider`

### getElements

    public Object[] getElements(Object arg0)

  Returns the `input` as an array of objects.

  Specified by:
    `getElements` in interface `org.eclipse.jface.viewers.IStructuredContentProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IContentProvider`

### addColumn

    public void addColumn(TableColumnProperty column)

  Adds column to the input of this content provider.

  Parameters:
    `column` - the `TableColumnProperty` to add to the `input`.

### removeColumn

    public void removeColumn(TableColumnProperty column)

  Removes a column from the input of this content provider.

  Parameters:
    `column` - the `TableColumnProperty` instance to remove from the `input`.

### removeAllColumns

    public void removeAllColumns(Vector<TableColumnProperty> columns)

  Removes all `TableColumnProperty` instances in the given vector from the input of this content provider.

  Parameters:
    `columns` - vector of columns to remove from the `input`.

### addAllColumns

    public void addAllColumns(Vector<TableColumnProperty> columns)

  Adds all `TableColumnProperty` instance in the given vector to the input of this content provider.

  Parameters:
    `columns` - vector of columns to add to the `input`.

### getInput

    public Vector<TableColumnProperty> getInput()

  Returns:
    the `input`.

### moveUp

    public void moveUp(TableColumnProperty selectedColumn)

  Moves the given column up by one position in the `input` of this content provider, i.e. the index gets decremented by one.

  Parameters:
    `selectedColumn` - column to move up by one postion

### moveDown

    public void moveDown(TableColumnProperty selectedColumn)

  Moves the given column down by one position in the `input` of this content provider, i.e. the index gets incremented by one.

  Parameters:
    `selectedColumn` - columns to move down by one position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD